SDL_CreateColorCursor(3)

NAME
SDL_CreateColorCursor - Create a color cursor.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Cursor* SDL_CreateColorCursor(SDL_Surface *surface,
                                  int hot_x,
                                  int hot_y);

FUNCTION PARAMETERS

surface
    an SDL_Surface
     structure representing the cursor image

hot_x
    the x position of the cursor hot spot

hot_y
    the y position of the cursor hot spot

RETURN VALUE
Returns the new cursor on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateCursor(3), SDL_CreateSystemCursor(3), SDL_DestroyCursor(3), SDL_SetCursor(3)